ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Xavier Hanin" <xavier.ha...@gmail.com>
Subject Re: Get exact revision for exact library
Date Tue, 10 Apr 2007 08:52:52 GMT
On 4/10/07, Robert Macaulay <robert.macaulay@gmail.com> wrote:
>
> On 4/9/07, Anton Stalnuhhin <Anton.Stalnuhhin@webmedia.ee> wrote:
> > Well, I thought about all of these solutions. Excluding is very annoying
> here. Project is big. It is not comfortable. Force attribute didn't help, I
> tried it. I thought there is some good and pretty solution with conflict
> management...
>
> I have the exact same requirement. I think its calling for a custom
> something. Something between strict and latest version.
>
> Am I looking for a custom conflict manager? Strict sounds like what we
> want but it doesnt support the ranges.


I'm not sure you have the same case. Anton has a dependency on two different
revisions, and want to select an earlier one. You seems to want to avoid any
real conflict, which is what the strict conflict manager is made for, except
that it doesn't support version ranges, which can be considered as a bug,
and thus should be fixed.

But I may be wrong, you certainly better know what you want than I do :-)

- Xavier


-- 
Learn Ivy at ApacheCon: http://www.eu.apachecon.com/
Manage your dependencies with Ivy!
http://incubator.apache.org/ivy/

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message